Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# iovec Struct Reference

`#include <os_uio.h>`

List of all members.

## Public Attributes
u_long | iov_len
| byte count to read/write
char * | iov_base
| data to be read/written

## Detailed Description

The ordering of the fields in this struct is important. It has to match those in WSABUF.

## Member Data Documentation

char* iovec::iov_base

| data to be read/written

u_long iovec::iov_len

| byte count to read/write

The documentation for this struct was generated from the following file:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/os_include/sys/os_uio.h